function path = get_path(group, i)
%
% path = get_path(group, i)
%
% Returns a path (described in the project description)
% for descriptor "i" in "group" that can be used with
% e.g. hmmestimate for estimating transition and emission
% parameters.

descriptor = group(i);

seqL =length(descriptor.seq);
des = descriptor.des;

nSeg = size(des, 1);

pos = 1;
state = 1;
for iSeg = 1:nSeg
    path(pos:des(iSeg, 1) - 1) = state;
    
    pos = des(iSeg, 1):des(iSeg, 2);
    segL = length(pos);
    state = state + 1;
    
    path(pos) = state:state + segL - 1;
    
    state = state + segL;
    pos = pos(end) + 1;
end

path(pos:seqL) = state;
% Introduce endstate
path(end+1) = state + 1;
    
    


