function segs = get_segments(group, varargin)
%
%
% segs = get_segments(group, i)
% 
% Returns a cell array of segments for descriptor "i",
% i.e. the sequences corresponding to the segments.
%
% segs = get_segments(group, i, seg)
% 
% Returns a particular segment, "seg".
%


if nargin == 2
    index = varargin{1};
    
    des = group(index).des;
    seq = group(index).seq;

    nSeg = size(des, 1);


    for iSeg = 1:nSeg
        segs{iSeg} = seq(des(iSeg,1):des(iSeg,2));
    end
    
    return 
end


if nargin == 3
    index = varargin{1};
    
    des = group(index).des;
    seq = group(index).seq;

    iSeg = varargin{2};
    
    segs = seq(des(iSeg,1):des(iSeg,2));
    
    return 
end

